Bug 364661 - Most ccs_tool commands always exit with EXIT_FAILURE
Most ccs_tool commands always exit with EXIT_FAILURE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan O'Hara
Cluster QE
:
Depends On: 249781
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 16:58 EDT by Ryan O'Hara
Modified: 2009-10-12 10:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 10:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan O'Hara 2007-11-02 16:58:40 EDT
+++ This bug was initially created as a clone of Bug #249781 +++

Description of problem:

ccs_tool exits with EXIT_FAILURE even when it completes an operation properly.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. execute "ccs_tool addnode ...", "ccs_tool addfence ..." or other ccs_tool
commands 
2. check return status with "echo $?"
3.
  
Actual results:

The exit status is always 1

Expected results:

The exit status should be 0 when it successfully completes the operation.

Additional info:

-- Additional comment from rohara@redhat.com on 2007-08-30 12:32 EST --
Changed ccs_tool to return EXIT_SUCCESS for most commands. Several of the
commands for ccs_tool would always return EXIT_FAILURE.
Comment 1 Ryan O'Hara 2007-11-02 17:09:31 EDT
Fixed in RHEL4.

Note You need to log in before you can comment on or make changes to this bug.